package cn.com.infosec.mobile.android;

import android.content.Context;
import android.support.annotation.NonNull;
import android.text.TextUtils;
import cn.com.infosec.mobile.android.result.Result;
import cn.com.infosec.mobile.android.util.Util;
import cn.com.infosec.mobile.android.xlog.XLog;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.json.JSONObject;

public class IMSQRAction extends IMSAction {
   public IMSQRAction(Context context) {
      super(context);
   }

   public String[] parseQRData(String qrData) {
      IMSQRAction var10000;
      Logger var10001;
      Level var10002;
      String[] var3;
      if (TextUtils.isEmpty(qrData)) {
         var10000 = this;
         var10001 = IMSSdk.mLogger;
         var10002 = Level.SEVERE;
         (var3 = new String[1])[0] = qrData;
         var10001.log(var10002, "解析二维码数据失败:参数不合法", var3);
         XLog.d("解析二维码数据失败:参数不合法 qrData = " + qrData);
         var10000.setLatestResult(new Result("IE1013"));
         return null;
      } else {
         String[] var2;
         if ((var2 = qrData.split("\\|")).length < 3) {
            var10000 = this;
            var10001 = IMSSdk.mLogger;
            var10002 = Level.SEVERE;
            (var3 = new String[1])[0] = qrData;
            var10001.log(var10002, "解析二维码数据失败:二维码不合法", var3);
            XLog.d("解析二维码数据失败:二维码不合法 qrData = " + qrData);
            var10000.setLatestResult(new Result("IE1013"));
            return null;
         } else {
            return var2;
         }
      }
   }

   public Map<String, String> qrLoginBegin(@NonNull String userName, @NonNull String[] parsedQRData, @NonNull String signData, int flag) {
      if (!TextUtils.isEmpty(userName) && 3 == parsedQRData.length && !TextUtils.isEmpty(signData) && flag >= 0 && flag <= 3) {
         HashMap var6;
         HashMap var7 = var6 = new HashMap;
         var6.<init>();
         var6.put("business", parsedQRData[0]);
         var6.put("random", parsedQRData[1]);
         var6.put("time", parsedQRData[2]);
         var6.put("signeddata", signData);
         var6.put("username", userName);
         var6.put("imei", Util.getIdentifier(IMSSdk.mContext));
         var7.put("flag", String.valueOf(flag));
         return var7;
      } else {
         IMSQRAction var10000 = this;
         Logger var10001 = IMSSdk.mLogger;
         Level var10002 = Level.SEVERE;
         String[] var5;
         String[] var10003 = var5 = new String[3];
         var5[0] = userName;
         var5[1] = signData;
         var10003[2] = String.valueOf(flag);
         var10001.log(var10002, "二维码登录失败:参数不合法", var5);
         XLog.d("二维码登录失败:参数不合法" + Arrays.toString(new String[]{userName, signData, String.valueOf(flag)}));
         var10000.setLatestResult(new Result("IE1013"));
         return null;
      }
   }

   public Result qrLoginFinal(JSONObject responseData) {
      return this.commonFinal(responseData);
   }
}
